​
Select Service
ves-io-schema-views-cdn_loadbalancer-API-List
Published April 5, 2023 | Last modified May 29, 2026
Examples of listing cdn_loadbalancer
Usecase:
List virtual-host
Request using vesctl:
vesctl configuration list cdn_loadbalancer --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: ves.io/app_type: bookinfo name: productpage namespace: documentation statusSet: [] tenant: acmecorp uid: 74734634-daaa-42c3-b1d3-d21a1cca5962Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/cdn_loadbalancers'curl response
HTTP/1.1 200 OKContent-Length: 479Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:02:09 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: items.#.get_spec.add_location,items.#.get_spec.api_discovery_on_cache_miss,items.#.get_spec.api_specification_on_cache_miss,items.#.get_spec.app_firewall_on_cache_miss,items.#.get_spec.cache_rules.#,items.#.get_spec.challenge_on_cache_miss,items.#.get_spec.default_cache_action.eligible_for_cache,items.#.get_spec.enable_api_discovery.sensitive_data_detection_rules,items.#.get_spec.https.tls_parameters,items.#.get_spec.ip_reputation_on_cache_miss,items.#.get_spec.jwt_validation.jwks,items.#.get_spec.more_option,items.#.get_spec.origin_pool.more_origin_options.disable_byte_range_request,items.#.get_spec.other_settings.geo_filtering,items.#.get_spec.other_settings.ip_filtering,items.#.status_set.#.site_status,items.#.status_set.#.status
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "productpage", "uid": "74734634-daaa-42c3-b1d3-d21a1cca5962", "description": "", "disabled": false, "labels": { "ves.io/app_type": "bookinfo" }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}